Page MenuHomePhabricator

An empty row is appended each time a page is previewed in Wikisource page namespace
Closed, DuplicatePublic

Description

To test the problem described in the title of this task.

Open any document in Edit mode in the Page namespace of Wikisource, and click on "Preview". Each "Preview" action appends and empty row. Since a page sometimes needs to be previewed 5-6 times, this adds 5-6 empty rows at the end of the text.

As far as I could ascertain, this doesn't seem to affect the appearance of text transcluded to the main namespace, nevertheless, this confuses editors when a page needs to be re-edited later.

Event Timeline

Ineuw created this task.Mar 4 2018, 12:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2018, 12:22 AM

@Ineuw can you please confirm that this is a proofread page issue (only happening in Page: ns) or a more general issue when editing in main ns. If just the first, then please add a tag for proofreadpage extension

Ineuw added a comment.Mar 5 2018, 12:36 AM

@Billinghurst, I checked both the main and the author namespaces. No additional lines created when using Preview.

Tpt added a subscriber: Tpt.Mar 5 2018, 12:36 PM

@Ineuw Thank you for the report. Which editor are you using? The WikiEditor (i.e. the light blue one introduced around 2010)?

Ineuw added a comment.EditedMar 5 2018, 5:10 PM

@Tpt, I am using the Editor which has the Advanced, Special characters, Help, and Proofread tools, dropdown lists on the top bar. In Preferences/Edit the [Enable enhanced editing toolbar] is checked off.

P.S: I am using the Vector theme and as an aside, I recommend to add "About" in the Help section to properly identify the editor, and any other components in general. :-)

@Ineuw: Please see https://www.mediawiki.org/wiki/Editor to find out which editor you are using.

@Tpt I can reproduce in "core" 2006 JavaScript editor, Manual:EditPage.php and I know that numbers of us dinosaurs still edit through this as it is simpler and more efficient for WS purposes, and the fact that it is easier to hack custom buttons for it

I understand that this is being moved to its own extension.

Ineuw added a comment.EditedMar 6 2018, 6:16 PM

@Aklapper, I am using the "Extension WikiEditor" 2010, Desktop, "This can be seen when "Enable enhanced editing toolbar" is enabled in Special:Preferences. as mentioned in my previous comment."

Just noticed that it is also listed as
"Proofread Page 2006 Desktop "Used at the Wikisources"
as well.

Ineuw added a comment.Mar 30 2018, 9:36 PM

@Aklapper, Just asking what is the status of this issue? Thanks

@Ineuw: Open. In general, if anyone feels like investigating, anyone is free to go ahead. It's not that I had superpowers to tell other people what to work on or not. :)

Ineuw added a comment.Apr 6 2018, 6:04 AM

@Klapper, Thanks. I don't need and expect instant resolution. I was just curious about the process. For me the inner sanctum of Wikimedia's technical process is a complete mystery. It's sort of a netherworld. :-)

Ineuw added a comment.Aug 24 2018, 8:19 PM

@Aklapper, this issue occurs on the French Wikisource as well, which means that it occurs on every site that uses the Proofread extension. Now that I work in a language and a website that is less familiar, it requires previewing the work more often that before and thus the number of appended empty lines increases.

Can confirm issue is still happening on English Wikisource

beleg_tal added a comment.EditedNov 28 2018, 3:43 PM

It doesn't seem to happen to me every time, but it happens with this revision of this page: https://en.wikisource.org/w/index.php?title=Page:Handful_of_Pleasant_Delights.djvu/73&oldid=8953561 (Chrome, Windows 10 Professional 1803)

MJL moved this task from Backlog to Backlog (Proofreader) on the Wikisource board.Sep 9 2019, 11:55 PM

This issue appears to be duplicated (and potentially resolved) in T241889

After testing, this appears to be resolved.